Returns the consumption status on a metric for the given session, including quota.
const url = 'https://example.com/api/v1/provision/usage/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/example/consumption';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/provision/usage/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/example/consumptionParameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Active license session.
Metric name.
Responses
Section titled “ Responses ”OK
object
Defines the enforcement behavior applied by the resource controller or interceptor when a specific usage tier threshold is reached. Ordered from least to most restrictive.
When the current consumption period rolls over (derived from the configured calendar period). Null if the metric has no period.
object
Defines the enforcement behavior applied by the resource controller or interceptor when a specific usage tier threshold is reached. Ordered from least to most restrictive.
When the current consumption period rolls over (derived from the configured calendar period). Null if the metric has no period.
Example generated
{ "tier": "example", "currentValue": 1, "start": 1, "limit": 1, "usagePercentage": 1, "quotaUsagePolicy": 1, "quotaUsageLevel": 1, "periodResetAt": "2026-04-15T12:00:00Z"}object
Defines the enforcement behavior applied by the resource controller or interceptor when a specific usage tier threshold is reached. Ordered from least to most restrictive.
When the current consumption period rolls over (derived from the configured calendar period). Null if the metric has no period.
Example generated
{ "tier": "example", "currentValue": 1, "start": 1, "limit": 1, "usagePercentage": 1, "quotaUsagePolicy": 1, "quotaUsageLevel": 1, "periodResetAt": "2026-04-15T12:00:00Z"}Not Found
object
object
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
Example generated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}